Summary:   Library for AppStream metadata
Name:      libappstream-glib
Version:   0.2.5
Release:   1%{?dist}
License:   LGPLv2+
URL:       http://people.freedesktop.org/~hughsient/appstream-glib/
Source0:   http://people.freedesktop.org/~hughsient/appstream-glib/releases/appstream-glib-%{version}.tar.xz

BuildRequires: glib2-devel >= 2.16.1
BuildRequires: libtool
BuildRequires: docbook-utils
BuildRequires: gtk-doc
BuildRequires: gobject-introspection-devel
BuildRequires: gperf
BuildRequires: libarchive-devel
BuildRequires: libsoup-devel
BuildRequires: gdk-pixbuf2-devel
BuildRequires: gettext
BuildRequires: intltool

# for the builder component
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gtk3-devel
BuildRequires: pango-devel
BuildRequires: rpm-devel
BuildRequires: sqlite-devel

# for the manpages
BuildRequires: libxslt
BuildRequires: docbook-style-xsl

%description
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package devel
Summary: GLib Libraries and headers for appstream-glib
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
GLib headers and libraries for appstream-glib.

%prep
%setup -q -n appstream-glib-%{version}

%build
%configure \
        --enable-gtk-doc \
        --disable-static \
        --disable-silent-rules \
        --disable-dependency-tracking

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%__rm -f %{buildroot}%{_libdir}/libappstream-glib*.la

# remove the builder component, it won't work in F20
%__rm -f %{buildroot}%{_bindir}/appstream-builder
%__rm -f %{buildroot}%{_datadir}/man/man1/appstream-builder.1*
%__rm -f %{buildroot}%{_libdir}/libappstream-builder*
%__rm -f %{buildroot}%{_libdir}/pkgconfig/appstream-builder.pc
%__rm -rf %{buildroot}%{_datadir}/bash-completion/completions/appstream-builder
%__rm -rf %{buildroot}%{_datadir}/gir-1.0/AppStreamBuilder-1.0.gir
%__rm -rf %{buildroot}%{_includedir}/libappstream-builder
%__rm -rf %{buildroot}%{_libdir}/asb-plugins

%find_lang appstream-glib

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f appstream-glib.lang
%doc README.md AUTHORS NEWS COPYING
%{_libdir}/libappstream-glib.so.1*
%{_libdir}/girepository-1.0/*.typelib
%{_bindir}/appstream-util
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/appstream-util
%{_mandir}/man1/appstream-util.1.gz

%files devel
%{_libdir}/libappstream-glib.so
%{_libdir}/pkgconfig/appstream-glib.pc
%dir %{_includedir}/libappstream-glib
%{_includedir}/libappstream-glib/*.h
%{_datadir}/gtk-doc/html/appstream-glib
%{_datadir}/gir-1.0/AppStreamGlib-1.0.gir
%{_datadir}/aclocal/appstream-xml.m4
%{_datadir}/installed-tests/appstream-glib/*.test

%changelog
* Mon Aug 18 2014 Richard Hughes <richard@hughsie.com> 0.2.5-1
- New upstream release
- Add check-root to appstream-util
- Add some validation rules for metainfo files
- Allow desktop->addon demotion with an AppData file
- Allow different source roots to define addons
- Do not require sentence case when validating with relaxed settings
- Fix up legacy license IDs when tokenizing
- Metadata licenses like 'CC0 and CC-BY-3.0' are valid content licenses
- Never add duplicate <extends> tags

* Thu Jun 12 2014 Richard Hughes <richard@hughsie.com> 0.1.7-1
- New upstream release
- Add <extends> from the draft AppStream 0.7 specification
- Add support for the 'dbus' AsProvideKind
- Add support for validating metainfo.xml files
- Allow 'appstream-util validate' to validate multiple files
- Do not log a critical warning in as_store_to_xml()
- Fix a crash when we try to validate <p></p>
- Support the non-standard X-Ubuntu-Software-Center-Name

* Wed May 28 2014 Richard Hughes <richard@hughsie.com> 0.1.6-1
- New upstream release
- Add some more API for createrepo_as and gnome-software
- Also support validating .appdata.xml.in files
- Correctly parse the localized descriptions from AppData files
- Fix validation of old-style AppData files without screenshot sizes
- Only autodetect the AsAppSourceKind when unknown
- Only require <project_licence> when being strict
- Only show the thumbnail when creating the HTML status page
- Retain comments in .desktop and .appdata.xml files when required

* Mon May 12 2014 Richard Hughes <richard@hughsie.com> 0.1.5-1
- New upstream release
- Add some more API for createrepo_as and gnome-software
- Be less strict with the case of the XML header
- Check the licenses against the SPDX list when validating
- Support AppData version 0.6 files too

* Fri Apr 25 2014 Richard Hughes <richard@hughsie.com> 0.1.4-1
- New upstream release
- Add some more API for createrepo_as and gnome-software
- Add tool appstream-util

* Thu Apr 10 2014 Richard Hughes <richard@hughsie.com> 0.1.3-1
- New upstream release
- Add new API required by gnome-software
- Ignore settings panels when parsing desktop files
- Load AppStream files assuming literal text strings

* Wed Mar 26 2014 Richard Hughes <richard@hughsie.com> 0.1.2-1
- New upstream release
- Add more API for gnome-software to use
- Reduce the number of small attr key allocations
- Use gperf to generate a perfect hash for the tag names
- Use the full ID for the AsStore hash

* Fri Mar 21 2014 Richard Hughes <richard@hughsie.com> 0.1.1-1
- New upstream release
- Add an 'api-version' property to AsStore
- Add the new AsUrlKind's and <architectures> from API 0.6
- Support old-style markup-less <description> tags
- Support the 'origin' attribute on the root node
- Do not crash when using getting an unset description
- Do not depend on functions introduced in Glib 2.39.1
- Fix parsing incompletely translated AppData files

* Tue Mar 18 2014 Richard Hughes <richard@hughsie.com> 0.1.0-1
- First upstream release
